Bug 1674337 - Cockpit gets unexpected internal error when unprivileged user accesses Subscriptions tab
Summary: Cockpit gets unexpected internal error when unprivileged user accesses Subscr...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
Lucie Maňásková
URL:
Whiteboard:
Depends On: 1682763
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 02:28 UTC by Ganesh
Modified: 2020-05-20 10:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.Unprivileged users can access the Subscriptions page If a non-administrator navigates to the *Subscriptions* page of the web console, the web console displays a generic error message `Cockpit had an unexpected internal error`. To work around this problem, sign in to the web console with a privileged user and make sure to check the *Reuse my password for privileged tasks* checkbox.
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Snapshot of the incident (51.25 KB, image/png)
2019-02-11 02:28 UTC, Ganesh
no flags Details

Description Ganesh 2019-02-11 02:28:23 UTC
Created attachment 1528853 [details]
Snapshot of the incident

Description of the problem:

Login to Cockpit with an unprivileged user and click on the 'Subscriptions' tab get 'Ooops' in red on the upper right corner of Cockpit. Clicking on that message get the explanation:
"Cockpit had an unexpected internal error. 

You can try restarting Cockpit by pressing refresh in your browser. The javascript console contains details about this error (Ctrl-Shift-J in most browsers)."

In the java console you get:
"index.js:6786 Uncaught TypeError: E.GetSyspurpose is not a function
    at index.js:6786
    at Function.<anonymous> (index.js:6604)
    at s (cockpit.js:958)
    at cockpit.js:970
    at n (cockpit.js:876)"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login with the non-root unprivileged user to Cockpit.
2. Click on tab "Subscriptions"

Actual results:
- Shows, not the specific message.

Expected results:
- Specific and appropriate messages should pop-up if non-root users are not allowed to click on Subscription and check status.

Additional info:

Comment 1 Martin Pitt 2019-02-11 07:52:03 UTC
Confirming. This lives in subscription-manager-cockpit, reassigning.

Comment 12 Martin Pitt 2019-07-05 10:31:01 UTC
@Vendula: That seems okay, thanks! But hopefully this actually got fixed by now in subscription-manager? :-)


Note You need to log in before you can comment on or make changes to this bug.